package de.intevation.gnv.layer;

import org.apache.log4j.Logger;
import org.w3c.dom.Document;

import de.intevation.artifacts.ArtifactFactory;
import de.intevation.gnv.artifacts.GNVArtifactBase;

/**
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public class LayerArtifact extends GNVArtifactBase{

    /**
     * the logger, used to log exceptions and additionally information
     */
    private static Logger log = Logger.getLogger(LayerArtifact.class);
    
    /**
     * The UID of this Class
     */
    private static final long serialVersionUID = 409054207294748753L;

    /**
     * Constructor
     */
    public LayerArtifact() {
        super();
        log.debug("LayerArtifact.Constructor");
        this.name = "layer";
    }


    /**
     * @see de.intevation.gnv.artifacts.GNVArtifactBase#setup(java.lang.String,
     *      de.intevation.artifacts.ArtifactFactory, java.lang.Object 
     *      org.w3c.dom.Document)
     */
    @Override
    public void setup(String identifier, ArtifactFactory factory, 
                      Object context, Document data) {
        log.debug("LayerArtifact.setup");
        super.setup(identifier, factory, context, data);
    }

}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
